ComplexGlyphLayout (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.svg.text

## Class ComplexGlyphLayout

- java.lang.Object
- - org.apache.batik.bridge.GlyphLayout
  - - org.apache.fop.svg.text.ComplexGlyphLayout

- All Implemented Interfaces:
    org.apache.batik.bridge.TextSpanLayout

      public class ComplexGlyphLayout
      extends org.apache.batik.bridge.GlyphLayout

- - ### Field Summary

    - ### Fields inherited from class org.apache.batik.bridge.GlyphLayout

      `advance, eps, FLOW_EMPTY_PARAGRAPH, FLOW_LINE_BREAK, FLOW_PARAGRAPH, gv, GVT_FONT, HORIZONTAL_ORIENTATION_ANGLE, layoutApplied, LINE_HEIGHT, runAtts, szAtts, VERTICAL_ORIENTATION, VERTICAL_ORIENTATION_ANGLE`

    - ### Fields inherited from interface org.apache.batik.bridge.TextSpanLayout

      `DECORATION_ALL, DECORATION_OVERLINE, DECORATION_STRIKETHROUGH, DECORATION_UNDERLINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexGlyphLayout(java.text.AttributedCharacterIterator aci, int[] charMap, java.awt.geom.Point2D offset, java.awt.font.FontRenderContext frc)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doExplicitGlyphLayout()`
    `static boolean` | `mayRequireComplexLayout(java.text.AttributedCharacterIterator aci)`

    - ### Methods inherited from class org.apache.batik.bridge.GlyphLayout

      `addPtsToPath, adjustTextSpacing, applyStretchTransform, doPathLayout, doSpacing, draw, epsEQ, getAdvance2D, getBounds2D, getCharacterCount, getComputedOrientationAngle, getDecorationOutline, getFont, getGeometricBounds, getGlyphAdvances, getGlyphCount, getGlyphIndex, getGlyphMetrics, getGlyphOrientationAngle, getGlyphVector, getHighlightShape, getLastGlyphIndex, getLineMetrics, getOffset, getOutline, getOverlineShape, getStrikethroughShape, getTextPathAdvance, getUnderlineShape, hasCharacterIndex, hitTestChar, isAltGlyph, isGlyphOrientationAuto, isLatinChar, isLeftToRight, isOnATextPath, isReversed, isVertical, makeConvexHull, maybeReverse, mergeAreas, setOffset, setScale`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexGlyphLayout

          public ComplexGlyphLayout(java.text.AttributedCharacterIterator aci,
                                    int[] charMap,
                                    java.awt.geom.Point2D offset,
                                    java.awt.font.FontRenderContext frc)

  - ### Method Detail

    - #### doExplicitGlyphLayout

          protected void doExplicitGlyphLayout()

      Overrides:
        `doExplicitGlyphLayout` in class `org.apache.batik.bridge.GlyphLayout`

    - #### mayRequireComplexLayout

          public static final boolean mayRequireComplexLayout(java.text.AttributedCharacterIterator aci)

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.